Uploaded image for project: 'Red Hat CodeReady Studio (devstudio)'
  1. Red Hat CodeReady Studio (devstudio)
  2. JBDS-4876

Cannot satisfy dependency error when installing Red Hat business Process and Rules Development from RH Central

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Done
    • Affects Version/s: 12.17.0.AM1
    • Fix Version/s: 12.17.0.GA
    • Component/s: central
    • Labels:
      None
    • Sprint:
      Sprint #190 Sep 2020
    • Story Points:
      3
    • Docs QE Status:
      NEW

      Description

      Installing Red Hat business Process and Rules Development (including BPMN2 component) from RH Central in Studio shows dependencies error:

      Cannot complete the install because one or more required items could not be found.
       Software being installed: BPMN2 Modeler - Diagram Editor 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.feature.group 1.5.1.Final-v20190425-2005-B1)
       Missing requirement: BPMN2 Modeler Core 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.core 1.5.1.Final-v20190425-2005-B1) requires 'osgi.bundle; org.eclipse.graphiti [0.14.0,0.17.0)' but it could not be found
       Cannot satisfy dependency:
       From: BPMN2 Modeler - Diagram Editor 1.5.1.Final-v20190425-2005-B1 (org.eclipse.bpmn2.modeler.feature.group 1.5.1.Final-v20190425-2005-B1)
       To: org.eclipse.equinox.p2.iu; org.eclipse.bpmn2.modeler.core [1.5.1.Final-v20190425-2005-B1,1.5.1.Final-v20190425-2005-B1]
      
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                stephane.bouchet Stephane Bouchet
                Reporter:
                odockal Ondrej Dockal
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: